The ID_Media plug-in

The ID_Media plug-in provides support for file formats used by the Media window and other ACD Systems products. Please see your ACD Systems product help file for information regarding configuring the plug-in settings and using the Media window.

Related topics:

Supported file formats

Selecting audio and video file formats

Selecting image file formats

Selecting a movie frame for thumbnails

Playing audio and video files automatically


Supported file formats

You can use the ID_Media plug-in to read several different still image file formats, or play audio and video files and create still images in the Media window. However, there are occasions when a supported file format cannot be viewed or played. This is because there may be multiple versions of the file format and some of these versions may not be supported. For example, AVI files can require different codecs and this product may not support every available codec.

Audio and video file formats

AIF | Audio Interchange File Format
AIFC | Audio Interchange File Format
AIFF | Audio Interchange File Format
ASF | Active Streaming File - HoTMetaL Pro
AU | A sound file format used on Sun Microsystems or other UNIX computers
AVI | AVI movie format
GSM | Global System for Mobile Audio
M15 | Apple MPEG-1 Video
M1A | Apple MPEG-1/2 Audio
M1V | Apple MPEG-1 Video
M2A | Apple Mpeg-1/2 Audio
M3U | MP3 Playlist files
M75 | Apple MPEG-1 Video
MOV | QuickTime movie
MP2 | MPEG Layer II compressed audio
MP3 | MPEG Layer III compressed audio
MPA | Apple MPEG-1/2 Audio
MPEG | MPEG movie or animation file
MPG | MPEG encoded file
MPV | Apple MPEG-1 Video
QCP | Qulacomm PureVoice
QTPF | QuickTime PreFlight Text
SD2 | Sound Designer II
SMI | Synchronized Multimedia Integration Language
SMIL | Synchronized Multimedia Integration Language
SML | Synchronized Multimedia Integration Language
SND | Sound file
SWA | MPEG layer III audio
SWF | Macromedia Flash 4
ULW | ULAW - Sun/NeXT
VFW | Video for Windows
WAV | Sound file
WMV | Windows Metafile

Still image file formats

BMP | Windows Bitmap
BMPF | Windows Bitmap
BMPP | Windows Bitmap
DIB | DIB graphics - Windows
GIF | Graphics Interchange Format
GIFF | Graphics Interchange Format
GRIP | Generic encoding format
JPEG | Joint Photographic Experts Group
JPG | Joint Photographic Experts Group
PCT | Macintosh PICT
PIC | SoftImage PIC
PICT | Macintosh QuickDraw/PICT
PNG | Portable Network Graphics
PNGF | Portable Network Graphics


Selecting audio and video file formats

You can select which audio and video file formats play in the Media window when you open that file format from your ACD Systems product.

To select which audio and video files to play in the Media window:

  1. In the Plug-in Settings dialog box, select the Image Decode tab. For more information on opening the Plug-in Settings dialog box, consult your ACD System's product Help file.

  2. In the Image decoding plug-ins list, select the ID_Media plug-in and click the Properties button.

  3. In the About ID_Media dialog box, scroll through the Media Formats field and select the check boxes of the audio and video formats you want to play in the Media window.

  4. Click OK.


Selecting image file formats

You can select which image file formats are read by the ID_Media plug-in and displayed using your ACD Systems product.

To select which image file formats are read by the ID_Media plug-in:

  1. In the Plug-in Settings dialog box, select the Image Decode tab. For more information on opening the Plug-in Settings dialog box, consult your ACD System's product Help file.

  2. In the Image decoding plug-ins list, select the ID_Media plug-in and click the Properties button.

  3. In the About ID_Media dialog box, scroll through the Image Formats field and select the check boxes of the file formats you want the ID_Media plug-in to read.

  4. Click OK.


Selecting a movie frame for thumbnails

You can select which frame in a video is used when displaying a thumbnail of the video in your ACD Systems product.

To select which video frame is used for thumbnails:

  1. In the Plug-in Settings dialog box, select the Image Decode tab. For more information on opening the Plug-in Settings dialog box, consult your ACD System's product Help file.

  2. In the Image decoding plug-ins list, select the ID_Media plug-in and click the Properties button.

  3. In the About ID_Media dialog box, click the Into file drop-down arrow, and select one of the following:

    • Percent: This option changes the Display frame slider to display using percentages.

    • Seconds: This option changes the Display frame slider to display using time (in seconds).

  4. Drag the Display frame slider to determine which frame in the video to use as the thumbnail.

  5. Click OK.


Playing audio and video files automatically

You can set an option in the ID_Media plug-in to automatically play audio and video files in the preview area of your ACD System's product.

To play audio and video files automatically:

  1. In the Plug-in Settings dialog box, select the Image Decode tab. For more information on opening the Plug-in Settings dialog box, consult your ACD System's product Help file.

  2. In the Image decoding plug-ins list, select the ID_Media plug-in and click the Properties button.

  3. In the About ID_Media dialog box, select the Auto Play check box.

  4. Click OK.